Aller au contenu

Visualisateurs, annotation

Volo View, AutoVUE, DWF Viewer, DWF Composer, DWG Viewer, Spinfire, eDrawings...etc


209 sujets dans ce forum

  1. a pas trouvé texte dans DWF?

    • 1 réponse
    • 6,4 k vues
  2. Viewer ProE DRW

    • 0 réponse
    • 7,6 k vues
    • 0 réponse
    • 7,8 k vues
  3. Un PDF dynamique, ça existe?

    • 2 réponses
    • 7,8 k vues
    • 1 réponse
    • 14,2 k vues
    • 0 réponse
    • 6,6 k vues
    • 0 réponse
    • 6,9 k vues
  4. Autodesk True View 2010 (VF)

    • 1 réponse
    • 8,5 k vues
  5. Impression pages DWF

    • 1 réponse
    • 8,1 k vues
    • 0 réponse
    • 6 k vues
    • 10 réponses
    • 16,5 k vues
  6. créer dwf

    • 0 réponse
    • 6,1 k vues
  7. ADR 2010 comparer

    • 1 réponse
    • 4,5 k vues
  8. DWG True view 2008

    • 6 réponses
    • 5,7 k vues
    • 2 réponses
    • 5,5 k vues
    • 2 réponses
    • 4,8 k vues
  9. Super sympa

    • 8 réponses
    • 5,3 k vues
  10. Viewer en ligne

    • 12 réponses
    • 7,5 k vues
    • 1 réponse
    • 3,7 k vues
    • 0 réponse
    • 2,9 k vues
  11. Volo View

    • 3 réponses
    • 3,4 k vues
  12. Je suis bête ou quoi!!!!!!!!!

    • 2 réponses
    • 3,1 k vues
    • 3 réponses
    • 6,7 k vues
  13. Problème PDFcréator

    • 18 réponses
    • 8,8 k vues
    • 0 réponse
    • 7,2 k vues


  • Statistiques des forums

    • Total des sujets
      47,3 k
    • Total des messages
      286,7 k
  • Sujets

  • Messages

    • @doud69, Petite question: As-tu un AutoCAD ou bien un AutoCAD LT ?! Si c'est bien un AutoCAD, la ligne de code proposée par @lecrabe et @didier fonctionne sans soucis... Si c'est AutoCAD LT, alors oublie la programmation LISP car ce n'est pas supporté par les versions LT. Avant même de partir sur une ligne de code, peux-tu nous dire si les propositions vanilla ci-dessous te conviennent et si non, pourquoi exactement ? 1. ] Commande SUPCALQUE 2. ] Commande FUSCALQUE 3. ] Commande SELECTRAP PS: Je n'ai toujours pas compris si cette demande est ponctuelle ou si tu as besoin de faire cette démarche régulièrement ? Car si tu as besoin de faire la démarche régulièrement, c'est bien par de la programmation (LISP, Script, VBA, ...) qu'il faudrait se tourner et auquel cas, il faudrait un peu plus de renseignements... Bisous, Luna
    • Comme j'ai dit, il faut que (getkword) soit associé à (initget) ^^" Donc c'est plus quelque chose comme chat (avec quelques modifications en plus évidemment pour prendre en compte les différences entre (getstring) et (getkword)) : (defun c:FOOo (/ str att lst suf break) (setq str "Coude_DN") ; (setq str (getstring T "\nRenseigner le préfixe : ")) (setq att (getvar "ATTDIA")) (setvar "ATTDIA" 0) (setq lst "15 20 25 32 40 50 65 80 100 125 150 200 250 300 350 400 450 500") (while (and (not break) (null (initget lst)) (or (setq suf (getkword (strcat "\nType de conduite DN [" (vl-string-translate " " "/" lst) "/Quitter] <100> : " str))) (setq suf "100") ) ) (if (= "Quitter" suf) (setq break T) (progn (command "_-INSERT" (strcat str suf) pause 1 1 pause) (while (= 1 (getvar "CMDACTIVE")) (command "")) ) ) ) (setvar "ATTDIA" att) (princ) ) PS: Je ne l'ai pas testé cependant donc à voir... Bisous, Luna
    • Bonjour @FRAXA Relancer un sujet si vieux n'est pas toujours une bonne idée. Les liens vers les images sont morts et on ne sait pas vraiment quel est le résultat à atteindre. Ni ce qu'on a comme entité au départ. Merci de commencer un nouveau sujet, ou de compléter celui-ci pour qu'on puisse s'y mettre. Amicalement
    • bon je suis arrive a modifie ton lisp 🥳 par contre j ai un soucis c'est quant il relance la demande , je valide ou choisi un autre diamètre il me dit donne incorrect 😟 (defun c:FOOo (/ att str suf)   (setq str "CPC_DN") ; (setq str (getstring T "\nRenseigner le préfixe : "))   (setq att (getvar "ATTDIA"))   (setvar "ATTDIA" 0)  (initget "032 040 100")       (while (/= "" (setq suf (getkword "\ndiametre DN [032/040/100]? <100>: ")))     (command "_-INSERT" (strcat str suf) pause 1 1 pause)     (while (= 1 (getvar "CMDACTIVE")) (command ""))     )   (setvar "ATTDIA" att)   (princ) )
    • Bonjour à tous, Je relance ce sujet car je souhaite additionner la valeur "Remplacement de texte" de mes cotations (isométrie). J'ai remplacé " vla-get-measurement x " par " vla-get-TextOverride x " mais j'obtiens un message d'erreur " erreur: type d'argument incorrect: numberp:..." Est-il possible d'additionner les valeurs de "Remplacement de texte"?
  • Sujets

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité